Bug 330302 - digikam import crashed while importing from mass storage camera
Summary: digikam import crashed while importing from mass storage camera
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Import-UMS (show other bugs)
Version: 4.0.0
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2014-01-22 20:59 UTC by Jim Shipman
Modified: 2021-05-10 14:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.3.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Shipman 2014-01-22 20:59:15 UTC
Application: digikam (4.0.0-beta2)
KDE Platform Version: 4.11.5
Qt Version: 4.8.5
Operating System: Linux 3.12.8-300.fc20.x86_64 x86_64
Distribution: "Fedora release 20 (Heisenbug)"

-- Information about the crash:
- What I was doing when the application crashed:
I was importing video data from a mass storage camera.  No other activity going on.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/usr/lib64/libthread_db.so.1".
81	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7f5e6cb15ac0 (LWP 19702))]

Thread 9 (Thread 0x7f5e665e7700 (LWP 19705)):
#0  0x000000319e4eaa8d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x000000319660ebdc in poll (__timeout=-1, __nfds=2, __fds=0x7f5e665e6b60) at /usr/include/bits/poll2.h:46
#2  linux_udev_event_thread_main (arg=<optimized out>) at os/linux_udev.c:175
#3  0x000000319f007f33 in start_thread (arg=0x7f5e665e7700) at pthread_create.c:309
#4  0x000000319e4f4ead in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 8 (Thread 0x7f5e6266c700 (LWP 19708)):
#0  0x000000319e4eaa8d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000031a14495b4 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7f5e5c0010c0, timeout=-1, context=0x2b61aa0) at gmain.c:4007
#2  g_main_context_iterate (context=0x2b61aa0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3708
#3  0x00000031a1449a3a in g_main_loop_run (loop=0x2b61a30) at gmain.c:3907
#4  0x00000031876d0376 in gdbus_shared_thread_func (user_data=0x2b61a70) at gdbusprivate.c:278
#5  0x00000031a146ea45 in g_thread_proxy (data=0x2b3f0f0) at gthread.c:798
#6  0x000000319f007f33 in start_thread (arg=0x7f5e6266c700) at pthread_create.c:309
#7  0x000000319e4f4ead in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 7 (Thread 0x7f5e61e6b700 (LWP 19709)):
#0  0x000000319e4eaa8d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000031a14495b4 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7f5e540008c0, timeout=-1, context=0x2b66a80) at gmain.c:4007
#2  g_main_context_iterate (context=context@entry=0x2b66a80, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3708
#3  0x00000031a14496dc in g_main_context_iteration (context=0x2b66a80, may_block=may_block@entry=1) at gmain.c:3774
#4  0x00000031a1449729 in glib_worker_main (data=<optimized out>) at gmain.c:5473
#5  0x00000031a146ea45 in g_thread_proxy (data=0x2b688f0) at gthread.c:798
#6  0x000000319f007f33 in start_thread (arg=0x7f5e61e6b700) at pthread_create.c:309
#7  0x000000319e4f4ead in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 6 (Thread 0x7f5e59f83700 (LWP 19710)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00000031abc7c906 in wait (time=18446744073709551615, this=0x2d4e590) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2d4e498, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x0000000000612067 in Digikam::ScanController::run (this=0x2d4e230) at /home/shipman/Downloads/digikam-4.0.0-beta2/core/digikam/database/scancontroller.cpp:725
#4  0x00000031abc7c3df in QThreadPrivate::start (arg=0x2d4e230) at thread/qthread_unix.cpp:338
#5  0x000000319f007f33 in start_thread (arg=0x7f5e59f83700) at pthread_create.c:309
#6  0x000000319e4f4ead in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 5 (Thread 0x7f5e59782700 (LWP 19711)):
#0  0x000000319f00e87d in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000031a14897b0 in read (__nbytes=16, __buf=0x7f5e597818b0, __fd=<optimized out>) at /usr/include/bits/unistd.h:44
#2  g_wakeup_acknowledge (wakeup=0x7f5e50001f90) at gwakeup.c:212
#3  0x00000031a144909c in g_main_context_check (context=context@entry=0x7f5e480009a0, max_priority=2147483647, fds=fds@entry=0x7f5e48002c00, n_fds=n_fds@entry=1) at gmain.c:3514
#4  0x00000031a1449533 in g_main_context_iterate (context=context@entry=0x7f5e480009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3710
#5  0x00000031a14496dc in g_main_context_iteration (context=0x7f5e480009a0, may_block=1) at gmain.c:3774
#6  0x00000031abdb31a6 in QEventDispatcherGlib::processEvents (this=0x7f5e480008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#7  0x00000031abd8312f in QEventLoop::processEvents (this=this@entry=0x7f5e59781ac0, flags=...) at kernel/qeventloop.cpp:149
#8  0x00000031abd8347d in QEventLoop::exec (this=this@entry=0x7f5e59781ac0, flags=...) at kernel/qeventloop.cpp:204
#9  0x00000031abc79bdf in QThread::exec (this=this@entry=0x2d50bf0) at thread/qthread.cpp:536
#10 0x00000031abd63a93 in QInotifyFileSystemWatcherEngine::run (this=0x2d50bf0) at io/qfilesystemwatcher_inotify.cpp:256
#11 0x00000031abc7c3df in QThreadPrivate::start (arg=0x2d50bf0) at thread/qthread_unix.cpp:338
#12 0x000000319f007f33 in start_thread (arg=0x7f5e59782700) at pthread_create.c:309
#13 0x000000319e4f4ead in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 4 (Thread 0x7f5e58f81700 (LWP 19713)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00000031abc7c906 in wait (time=18446744073709551615, this=0x30115d0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x3029538, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f5e6da2c7fd in Digikam::ParkingThread::run (this=0x3029520) at /home/shipman/Downloads/digikam-4.0.0-beta2/core/libs/threads/threadmanager.cpp:119
#4  0x00000031abc7c3df in QThreadPrivate::start (arg=0x3029520) at thread/qthread_unix.cpp:338
#5  0x000000319f007f33 in start_thread (arg=0x7f5e58f81700) at pthread_create.c:309
#6  0x000000319e4f4ead in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 3 (Thread 0x7f5e449c5700 (LWP 19714)):
#0  0x000000319f00e87d in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000031a14897b0 in read (__nbytes=16, __buf=0x7f5e449c48b0, __fd=<optimized out>) at /usr/include/bits/unistd.h:44
#2  g_wakeup_acknowledge (wakeup=0x7f5e48001f90) at gwakeup.c:212
#3  0x00000031a144909c in g_main_context_check (context=context@entry=0x7f5e400009a0, max_priority=2147483647, fds=fds@entry=0x7f5e40002bb0, n_fds=n_fds@entry=1) at gmain.c:3514
#4  0x00000031a1449533 in g_main_context_iterate (context=context@entry=0x7f5e400009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3710
#5  0x00000031a14496dc in g_main_context_iteration (context=0x7f5e400009a0, may_block=1) at gmain.c:3774
#6  0x00000031abdb31a6 in QEventDispatcherGlib::processEvents (this=0x7f5e400008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#7  0x00000031abd8312f in QEventLoop::processEvents (this=this@entry=0x7f5e449c4ac0, flags=...) at kernel/qeventloop.cpp:149
#8  0x00000031abd8347d in QEventLoop::exec (this=this@entry=0x7f5e449c4ac0, flags=...) at kernel/qeventloop.cpp:204
#9  0x00000031abc79bdf in QThread::exec (this=this@entry=0x3341c30) at thread/qthread.cpp:536
#10 0x00000031abd63a93 in QInotifyFileSystemWatcherEngine::run (this=0x3341c30) at io/qfilesystemwatcher_inotify.cpp:256
#11 0x00000031abc7c3df in QThreadPrivate::start (arg=0x3341c30) at thread/qthread_unix.cpp:338
#12 0x000000319f007f33 in start_thread (arg=0x7f5e449c5700) at pthread_create.c:309
#13 0x000000319e4f4ead in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 2 (Thread 0x7f5e0dffb700 (LWP 19858)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00000031abc7c906 in wait (time=18446744073709551615, this=0x7f5dcc013650) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0x7f5dcc122590, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000031abc788cb in QSemaphore::acquire (this=this@entry=0x7f5e0dff9e30, n=n@entry=1) at thread/qsemaphore.cpp:144
#4  0x00000031abd993f0 in QMetaObject::activate (sender=0x397d9210, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7f5e0dff9ec0) at kernel/qobject.cpp:3521
#5  0x00000000007ed230 in Digikam::CameraController::signalInternalCheckRename (this=0x397d9210, _t1=..., _t2=..., _t3=..., _t4=..., _t5=...) at /home/shipman/Downloads/digikam-4.0.0-beta2/build/core/utilities/importui/cameracontroller.moc:319
#6  0x00000000007f0d88 in Digikam::CameraController::executeCommand (this=0x397d9210, cmd=0x3a08f790) at /home/shipman/Downloads/digikam-4.0.0-beta2/core/utilities/importui/backend/cameracontroller.cpp:712
#7  0x00000000007ee8fa in Digikam::CameraController::run (this=0x397d9210) at /home/shipman/Downloads/digikam-4.0.0-beta2/core/utilities/importui/backend/cameracontroller.cpp:417
#8  0x00000031abc7c3df in QThreadPrivate::start (arg=0x397d9210) at thread/qthread_unix.cpp:338
#9  0x000000319f007f33 in start_thread (arg=0x7f5e0dffb700) at pthread_create.c:309
#10 0x000000319e4f4ead in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 1 (Thread 0x7f5e6cb15ac0 (LWP 19702)):
[KCrash Handler]
#6  0x00000000002f0100 in ?? ()
#7  0x00000031bb031edc in sqlite3MemCompare (pMem1=pMem1@entry=0x7fffc7696590, pMem2=<optimized out>, pColl=0x39ed57b8) at sqlite3.c:60482
#8  0x00000031bb0320a3 in sqlite3VdbeRecordCompare (nKey1=74, pKey1=0x653f749, pPKey2=pPKey2@entry=0x7fffc7696838) at sqlite3.c:64160
#9  0x00000031bb046d59 in sqlite3BtreeMovetoUnpacked (pCur=0x398e6018, pIdxKey=0x7fffc7696838, intKey=0, biasRight=<optimized out>, pRes=0x7fffc7696820) at sqlite3.c:55075
#10 0x00000031bb06f888 in sqlite3VdbeExec (p=p@entry=0x39dd75a8) at sqlite3.c:70343
#11 0x00000031bb077f37 in sqlite3Step (p=0x39dd75a8) at sqlite3.c:64826
#12 sqlite3_step (pStmt=<optimized out>) at sqlite3.c:64892
#13 0x00007f5e5857b42c in QSQLiteResultPrivate::fetchNext (this=this@entry=0x398681e0, values=..., idx=idx@entry=0, initialFetch=initialFetch@entry=true) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:235
#14 0x00007f5e5857c188 in QSQLiteResult::exec (this=0x6120d30) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:447
#15 0x00000031afe10c5d in QSqlQuery::exec (this=0x7fffc7696e68) at kernel/qsqlquery.cpp:949
#16 0x00007f5e6d9edca3 in Digikam::DatabaseCoreBackend::exec (this=0x2d8fe00, query=...) at /home/shipman/Downloads/digikam-4.0.0-beta2/core/libs/database/core/databasecorebackend.cpp:1415
#17 0x00007f5e6d9ec5e7 in Digikam::DatabaseCoreBackend::execQuery (this=0x2d8fe00, query=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /home/shipman/Downloads/digikam-4.0.0-beta2/core/libs/database/core/databasecorebackend.cpp:1086
#18 0x00007f5e6d9ec211 in Digikam::DatabaseCoreBackend::execQuery (this=0x2d8fe00, sql=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /home/shipman/Downloads/digikam-4.0.0-beta2/core/libs/database/core/databasecorebackend.cpp:1031
#19 0x00007f5e6d9ebd0f in Digikam::DatabaseCoreBackend::execSql (this=0x2d8fe00, sql=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=..., values=0x0, lastInsertId=0x7fffc7696ee0) at /home/shipman/Downloads/digikam-4.0.0-beta2/core/libs/database/core/databasecorebackend.cpp:929
#20 0x00007f5e6d2e5760 in Digikam::AlbumDB::addToDownloadHistory (this=0x2d93880, identifier=..., name=..., fileSize=269234950, date=...) at /home/shipman/Downloads/digikam-4.0.0-beta2/core/libs/database/albumdb.cpp:3166
#21 0x00007f5e6d32ccd0 in Digikam::DownloadHistory::setDownloaded (identifier=..., name=..., fileSize=269234950, date=...) at /home/shipman/Downloads/digikam-4.0.0-beta2/core/libs/database/downloadhistory.cpp:52
#22 0x00000000007e1705 in Digikam::ImportUI::slotDownloaded (this=0x374689a0, folder=..., file=..., status=1) at /home/shipman/Downloads/digikam-4.0.0-beta2/core/utilities/importui/main/importui.cpp:1594
#23 0x00000000007d3abc in Digikam::ImportUI::qt_static_metacall (_o=0x374689a0, _c=QMetaObject::InvokeMetaMethod, _id=42, _a=0x7fffc7697570) at /home/shipman/Downloads/digikam-4.0.0-beta2/build/core/utilities/importui/importui.moc:212
#24 0x00000031abd98fa8 in QMetaObject::activate (sender=0x397d9210, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffc7697570) at kernel/qobject.cpp:3547
#25 0x00000000007ece14 in Digikam::CameraController::signalDownloaded (this=0x397d9210, _t1=..., _t2=..., _t3=1) at /home/shipman/Downloads/digikam-4.0.0-beta2/build/core/utilities/importui/cameracontroller.moc:257
#26 0x00000000007f2a7b in Digikam::CameraController::slotCheckRename (this=0x397d9210, folder=..., file=..., destination=..., temp=..., script=...) at /home/shipman/Downloads/digikam-4.0.0-beta2/core/utilities/importui/backend/cameracontroller.cpp:926
#27 0x00000000007ec8b0 in Digikam::CameraController::qt_static_metacall (_o=0x397d9210, _c=QMetaObject::InvokeMetaMethod, _id=25, _a=0x7f5e0dff9ec0) at /home/shipman/Downloads/digikam-4.0.0-beta2/build/core/utilities/importui/cameracontroller.moc:141
#28 0x00000031abd9d53e in QObject::event (this=0x397d9210, e=<optimized out>) at kernel/qobject.cpp:1194
#29 0x00000031adfc9dfc in QApplicationPrivate::notify_helper (this=this@entry=0x2a63ae0, receiver=receiver@entry=0x397d9210, e=e@entry=0x7f5dcc038150) at kernel/qapplication.cpp:4562
#30 0x00000031adfd0795 in QApplication::notify (this=this@entry=0x7fffc7698210, receiver=receiver@entry=0x397d9210, e=e@entry=0x7f5dcc038150) at kernel/qapplication.cpp:4348
#31 0x000000344784a7da in KApplication::notify (this=0x7fffc7698210, receiver=0x397d9210, event=0x7f5dcc038150) at /usr/src/debug/kdelibs-4.11.5/kdeui/kernel/kapplication.cpp:311
#32 0x00000031abd845ed in QCoreApplication::notifyInternal (this=0x7fffc7698210, receiver=receiver@entry=0x397d9210, event=event@entry=0x7f5dcc038150) at kernel/qcoreapplication.cpp:949
#33 0x00000031abd876e7 in sendEvent (event=0x7f5dcc038150, receiver=0x397d9210) at kernel/qcoreapplication.h:231
#34 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x29cd470) at kernel/qcoreapplication.cpp:1573
#35 0x00000031abd87b93 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1466
#36 0x00000031abdb3903 in sendPostedEvents () at kernel/qcoreapplication.h:236
#37 postEventSourceDispatch (s=s@entry=0x2a63500) at kernel/qeventdispatcher_glib.cpp:280
#38 0x00000031a14492a6 in g_main_dispatch (context=0x2a66db0) at gmain.c:3066
#39 g_main_context_dispatch (context=context@entry=0x2a66db0) at gmain.c:3642
#40 0x00000031a1449628 in g_main_context_iterate (context=context@entry=0x2a66db0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3713
#41 0x00000031a14496dc in g_main_context_iteration (context=0x2a66db0, may_block=1) at gmain.c:3774
#42 0x00000031abdb3185 in QEventDispatcherGlib::processEvents (this=0x29ce9b0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#43 0x00000031ae06bdb6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#44 0x00000031abd8312f in QEventLoop::processEvents (this=this@entry=0x7fffc7698080, flags=...) at kernel/qeventloop.cpp:149
#45 0x00000031abd8347d in QEventLoop::exec (this=this@entry=0x7fffc7698080, flags=...) at kernel/qeventloop.cpp:204
#46 0x00000031abd889bb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1221
#47 0x000000000073d6ec in main (argc=5, argv=0x7fffc7698928) at /home/shipman/Downloads/digikam-4.0.0-beta2/core/digikam/main/main.cpp:236

The reporter indicates this bug may be a duplicate of or related to bug 329697.

Possible duplicates by query: bug 330155, bug 330104, bug 329697.

Reported using DrKonqi
Comment 1 Jekyll Wu 2014-01-23 01:16:07 UTC

*** This bug has been marked as a duplicate of bug 329697 ***
Comment 2 caulier.gilles 2021-05-10 14:53:45 UTC
Fixed with #329697